This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 197981 - Review Request: gkrellm-wifi - Wireless monitor plugin for the GNU Krell Monitors
Review Request: gkrellm-wifi - Wireless monitor plugin for the GNU Krell Moni...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Package Reviews List
:
Depends On: 197967
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-07 16:07 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 17:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-07-07 16:07:22 EDT
Spec URL: http://people.atrpms.net/~hdegoede/gkrellm-wifi.spec
SRPM URL: http://people.atrpms.net/~hdegoede/gkrellm-wifi-0.9.12-1.src.rpm
Description:
Plug-in for gkrellm (a system monitor) which monitors the wireless LAN cards in
your PC and displays a graph of the link quality percentage for each card.     

---

Notice please play special attention to the Obsoletes and Provides gkrellm-wireless. Previously this package was (wrongly) integrated into the gkrellm package itself, and there it was called gkrellm-wireless despite upstreams different name, this packages should automaticly replace gkrellm-wireless, hence the Obsoletes & Provides
Comment 1 Hans de Goede 2006-07-07 16:19:05 EDT
Note 2: I'm going on a short vacation from monday 10 juli till friday 14 juli,
so if I'm quiet thats why.
Comment 2 Ville Skyttä 2006-07-16 16:24:47 EDT
Blockers:
- Tarball is not upstream one, sha1sums:
  package:  52d13482f7ea71ca0f5613ac5209cbe7d8385f42
  upstream: 45888e68822189bedb11e3d77e6d5e8eacb6d507
  There are also substantial differences in their contents.
- Missing dependency on gkrellm.

Other notes/suggestions:

- Add back "ExcludeArch: s390 s390x" like it was kind of in the FC package
  for benefit of folks who rebuild FE packages for example for RHEL.
- A patch/sed one liner replacing unwanted stuff in CFLAGS with $RPM_OPT_FLAGS
  could be easier to maintain than copy-pasting all flags between Makefile
  and the specfile.
Comment 3 Hans de Goede 2006-07-17 07:58:42 EDT
(In reply to comment #2)
> Blockers:
> - Tarball is not upstream one, sha1sums:
>   package:  52d13482f7ea71ca0f5613ac5209cbe7d8385f42
>   upstream: 45888e68822189bedb11e3d77e6d5e8eacb6d507
>   There are also substantial differences in their contents.

Your right, strange, I took the tarbal straight from the core SRPM, it seems the
 one in core is newer / completer then the upstream one. I've gone back to a
pristine upstream tarbal, with the changes found in the core package in a patch.
I've also mailed upstream for an explanation on the 2 different 0.9.12 versions.

> - Missing dependency on gkrellm.
> - Add back "ExcludeArch: s390 s390x" like it was kind of in the FC package
>   for benefit of folks who rebuild FE packages for example for RHEL.
Both fixed

> - A patch/sed one liner replacing unwanted stuff in CFLAGS with $RPM_OPT_FLAGS
>   could be easier to maintain than copy-pasting all flags between Makefile
>   and the specfile.

I'm used to doing things like this for non autotooled packages, so I'm keeping
it this way.

New version here:
Spec URL: http://people.atrpms.net/~hdegoede/gkrellm-wifi.spec
SRPM URL: http://people.atrpms.net/~hdegoede/gkrellm-wifi-0.9.12-2.src.rpm

Changes:
* Mon Jul 17 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9.12-2
- Use pristine upstream source and put changes found in the Core package
  tarbal in a patch
- Require gkrellm >= 2.2, gkrellm < 3
- Add ExcludeArch: s390 s390x

Comment 4 Ville Skyttä 2006-07-17 15:24:30 EDT
0.9.12-2 approved.
Comment 5 Hans de Goede 2006-07-19 17:56:57 EDT
Thanks!

Imported and build, closing.
Comment 6 Hans de Goede 2006-08-09 15:18:22 EDT
For the record here is the reply I got from upstream about the 2 different versions:
---

Hi,

On Mon, Jul 17, 2006 at 02:07:09PM +0200, Hans de Goede wrote:
> > The one in the core package seems to be newer. I've attached a patch
> > which upgrades the version on your website to this newer version, and
> > thus shows the differences.
> > 
> > Do you know how this is possible?

That's very odd indeed - I have no idea how it happened. However, I
don't use Linux nor GKrellM anymore since I've switched to FreeBSD, so
I wont be making any updates to the sources. You're free to take over
maintaining the plug-in if you'd like.

Regards,
Brix
-- Henrik Brix Andersen <henrik@brixandersen.dk> 

Note You need to log in before you can comment on or make changes to this bug.